#ifndef _keserr_h
#define _kserr_h

bool all_true_in_tab(const bool iso[],int m,int big_m);
// checks if iso[i] for m<i <=big_m


double diff(const interval e1[],const interval e2[],int maxn);


void writeestm(ostream& out,const interval err[],int dim,const char* comment,
   int writeint =1 );
//  writeint - 1- usual interval , 2- center + [-...+..]


void  writeTailestm(ostream& out,const interval e1[],int  m,int big_M,
      interval c,int s,const char* comment,int writeint = 1);
//  writeint - 1- usual interval , 2- center + [-...+..]


void  writeCompTailestm(ostream& out,interval e1[],interval e2[],int m,int big_M,
      interval &c,int s,const bool iso[], bool isotail);


int ks_rot13_createbounds(const char *traj,double bias,int dim,
   int partition, int *boxnum,interval boxes[][MAX_DIM+1], double expcoef);
// the function creates up to <partition> boxes containing a trajectory
//    the division is based on the partition of angle in (1,3) plane
////////////////
//////
  //  <traj> - name of the file containing a trajectory in 'a'-coordinates
  //        first line contains <dimintraj> - the dimension of the phase space
  //          a line in <traj> has the following structure
  //      t(time) a_1 a_2 ...a_<dimintraj> \newline
  //  <bias> - we include only those points from <traj> for which t > <bias>
  //  <dim> - the dimension of boxes on output
  ////  expcoef - a coefficient (>1) by which all obtained bounds were
  ////      multiplied to create a small margin (for the tail)
  //  OUTPUT:
  //     *boxnum - the number of boxes
  //      boxes[i] - i-th box, the boxes intersect, to facilitate checks
  //               of an inclusion of a set in a box
  //





#endif

