#ifndef _ksinclpo_h
#define _ksinclpo_h

#include"defo.h"
#include"section.h"
#include"coordc.h"
#include"vfkso.h"
#include"inclpoin.h"


class InclKSR_PMap: public InclPoincareMap
// this class is designed for an investigation of the symmetric attracting
//  periodic orbits, which have a good projection onto 1-3 variables
//    mu around 0.125
//   this is a half of the Poincare map composed with the symmetry
//   which leaves even modes unchanged and on odd modes it changes sign
{
  protected:
// inherited from InclPoincareMap
//    InclPoincareParType param; //
//     int destroy_Insection,destroy_Outsection; // is 1, when the constructor created the section
                     //  and then the destructor has to destroy it
  public:
// inherited from   InclPoincare
//    int dim;
//    char infostr[40];

//    InclOde *pode;

//    GeneralLinearSection *pInsection,*pOutsection;
//    int secdir;  // UP  or DOWN



  int imapCCE(Set &x, SetWithTail & y,interval fx[],SetWithTail & fy,
               int coordOnInput,LinCC* inputcoordch,int coordOnOutput,
               LinCC* outputcoordch, estimates *estm);
       //   on output: f((x + C*r0) \times y) = fx \times fy
       // usually this is Poincare map
       //  It makes sense sometimes to play with different coordinate
       //  systems
       //   if (coordOnInput) then the output (x-variable) is expressed
       //   using the other coordinate  (linear) system  given by inputcoordch
       //
       //   if (coordOnOutput) then fx is given in coordinates <outputcoorch>
       // this function  assumes that the coordinates on section z[1]=0
       //  are (z[2],...) - where z - are the coordinates in this->psection->plincc
// this function is almost the same as the coresponding parent function
// in InclPoincareMap - the difference is the coordinate frame in image


    InclKSR_PMap(InclOde *ppode,GeneralLinearSection *ppsection,int psecdir,
        InclPoincareParType & pparam,int pdestroy_section=0);

  private:

     void initInclKSR_PMap(InclOde *ppode,GeneralLinearSection *ppsection,
                int psecdir, int pdestroy_section);
    // an auxliary function used in the constructor    
};
#endif
